Package commoble.morered.client

# Class WirePartModelLoader.MultipartWireModel

java.lang.Object
net.neoforged.neoforge.client.model.BakedModelWrapper<net.minecraft.client.resources.model.BakedModel>
commoble.morered.client.WirePartModelLoader.MultipartWireModel

All Implemented Interfaces:
  `net.minecraft.client.resources.model.BakedModel`, `net.neoforged.neoforge.client.extensions.IBakedModelExtension`

Enclosing class:
  `WirePartModelLoader`

@Deprecated public static class WirePartModelLoader.MultipartWireModel extends net.neoforged.neoforge.client.model.BakedModelWrapper<net.minecraft.client.resources.model.BakedModel>
Deprecated.
Temporary hack to make multipart blocks with dynamic models work. TODO stop using this when forge fixes that

## Field Summary

### Fields inherited from class net.neoforged.neoforge.client.model.BakedModelWrapper

`originalModel`

## Constructor Summary

Constructors
Constructor
Description
`MultipartWireModel(net.minecraft.client.resources.model.BakedModel originalModel)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`@NotNull net.neoforged.neoforge.client.model.data.ModelData`
`getModelData(@NotNull net.minecraft.world.level.BlockAndTintGetter level, @NotNull net.minecraft.core.BlockPos pos, @NotNull net.minecraft.world.level.block.state.BlockState state, @NotNull net.neoforged.neoforge.client.model.data.ModelData modelData)`
Deprecated.

### Methods inherited from class net.neoforged.neoforge.client.model.BakedModelWrapper

`applyTransform, getOverrides, getParticleIcon, getParticleIcon, getQuads, getQuads, getRenderPasses, getRenderTypes, getRenderTypes, getTransforms, isCustomRenderer, isGui3d, useAmbientOcclusion, useAmbientOcclusion, usesBlockLight`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultipartWireModel

public MultipartWireModel(net.minecraft.client.resources.model.BakedModel originalModel)
Deprecated.

## Method Details

### getModelData

@NotNull public @NotNull net.neoforged.neoforge.client.model.data.ModelData getModelData(@NotNull @NotNull net.minecraft.world.level.BlockAndTintGetter level, @NotNull @NotNull net.minecraft.core.BlockPos pos, @NotNull @NotNull net.minecraft.world.level.block.state.BlockState state, @NotNull @NotNull net.neoforged.neoforge.client.model.data.ModelData modelData)
Deprecated.

Specified by:
  `getModelData` in interface `net.neoforged.neoforge.client.extensions.IBakedModelExtension`
Overrides:
  `getModelData` in class `net.neoforged.neoforge.client.model.BakedModelWrapper<net.minecraft.client.resources.model.BakedModel>`